> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Upload schedule file

> POST /company/{companyId}/upload



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **companyId** (string)


### Query parameters

- **files** (array[string(binary)])

- **source** (string)



## Responses
### 200
OK

#### Body: application/json (object)
- **fileId** (string(uuid))

- **filePath** (string)

- **message** (string)



[Powered by Bump.sh](https://bump.sh)
